Bug 1505298 (CVE-2017-15804) - CVE-2017-15804 glibc: Buffer overflow during unescaping of user names with the ~ operator
Summary: CVE-2017-15804 glibc: Buffer overflow during unescaping of user names with th...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2017-15804
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20171021,repor...
Depends On: 1504809 1504810
Blocks: 1504815
TreeView+ depends on / blocked
 
Reported: 2017-10-23 08:58 UTC by Andrej Nemec
Modified: 2019-06-08 22:26 UTC (History)
23 users (show)

Fixed In Version: glibc 2.27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 03:29:47 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:0805 None None None 2018-04-10 08:21:55 UTC
Red Hat Product Errata RHSA-2018:1879 None None None 2018-06-19 04:50:08 UTC

Description Andrej Nemec 2017-10-23 08:58:50 UTC
The glob function in glob.c in the GNU C Library (aka glibc or libc6) before 2.27 contains a buffer overflow during unescaping of user names with the ~ operator.

Upstream issue:

https://sourceware.org/bugzilla/show_bug.cgi?id=22332

Upstream patch:

https://sourceware.org/git/gitweb.cgi?p=glibc.git;a=commit;h=a159b53fa059947cc2548e3b0d5bdcf7b9630ba8

Comment 3 errata-xmlrpc 2018-04-10 08:21:45 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:0805 https://access.redhat.com/errata/RHSA-2018:0805

Comment 7 errata-xmlrpc 2018-06-19 04:49:58 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2018:1879 https://access.redhat.com/errata/RHSA-2018:1879


Note You need to log in before you can comment on or make changes to this bug.